public abstract static class Notification.Builder
extends java.lang.Object
Notification.| Constructor and Description |
|---|
Builder() |
| Modifier and Type | Method and Description |
|---|---|
abstract Notification |
build()
Build a new
Notification object. |
abstract Notification.Builder |
chargingStationId(java.lang.String id)
Notification charging station id.
|
abstract Notification.Builder |
details(NotificationDetails details)
Notification details.
|
abstract Notification.Builder |
geometryIndex(java.lang.Integer geometryIndex)
Leg-wise position in the coordinate list where the notification occurred, relative to the
start of the leg it's on.
|
abstract Notification.Builder |
geometryIndexEnd(java.lang.Integer geometryIndexEnd)
Leg-wise end index of the area that violates the request parameter.
|
abstract Notification.Builder |
geometryIndexStart(java.lang.Integer geometryIndexStart)
Leg-wise start index of the area that violates the request parameter.
|
abstract Notification.Builder |
reason(java.lang.String reason)
Notification reason.
|
abstract Notification.Builder |
refreshType(java.lang.String type)
Notification refresh type.
|
abstract Notification.Builder |
subtype(java.lang.String subtype)
Notification subtype.
|
abstract Notification.Builder |
type(java.lang.String type)
Notification type.
|
T |
unrecognizedJsonProperties(java.util.Map<java.lang.String,com.google.gson.JsonElement> unrecognizedProperties)
Use this method to add parameters which are not present in the model yet but are supported
on the Directions API side in the response.
|
@NonNull public abstract Notification.Builder type(@NonNull java.lang.String type)
DirectionsCriteria.NotificationsTypeCriteria.type - notification type@SerializedName(value="refresh_type") @NonNull public abstract Notification.Builder refreshType(@NonNull java.lang.String type)
DirectionsCriteria.NotificationsRefreshTypeCriteria.type - notification refresh type@NonNull public abstract Notification.Builder subtype(@Nullable java.lang.String subtype)
DirectionsCriteria.NotificationsSubtypeCriteria,
depending on Notification.type().subtype - notification subtype@SerializedName(value="geometry_index_start") @NonNull public abstract Notification.Builder geometryIndexStart(@Nullable java.lang.Integer geometryIndexStart)
geometryIndexStart - start index@SerializedName(value="geometry_index") @NonNull public abstract Notification.Builder geometryIndex(@Nullable java.lang.Integer geometryIndex)
geometryIndex - index@SerializedName(value="geometry_index_end") @NonNull public abstract Notification.Builder geometryIndexEnd(@Nullable java.lang.Integer geometryIndexEnd)
geometryIndexEnd - end index@NonNull public abstract Notification.Builder details(@Nullable NotificationDetails details)
details - notification details@NonNull public abstract Notification.Builder reason(@Nullable java.lang.String reason)
Notification.type() is
DirectionsCriteria.NOTIFICATION_TYPE_ALERT and Notification.subtype() is
DirectionsCriteria.NOTIFICATION_SUBTYPE_EV_STATION_UNAVAILABLE.reason - for the unavailability of the charging station for the electric vehicle. Can be
one of DirectionsCriteria.NotificationsEvStationUnavailableReasonCriteria.@SerializedName(value="station_id") @NonNull public abstract Notification.Builder chargingStationId(@Nullable java.lang.String id)
Notification.type() is
DirectionsCriteria.NOTIFICATION_TYPE_ALERT and Notification.subtype() is
DirectionsCriteria.NOTIFICATION_SUBTYPE_EV_STATION_UNAVAILABLE.id - of the unavailable charging station for the electric vehicle@NonNull public abstract Notification build()
Notification object.Notification using the provided values in this builder@NonNull
public T unrecognizedJsonProperties(@Nullable
java.util.Map<java.lang.String,com.google.gson.JsonElement> unrecognizedProperties)
unrecognizedProperties - parameters to add to request